Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 675520 - <net-misc/openssh-7.9_p1-r2: improper check in scp.c:sink() allows malicious servers to bypass access restrictions in scp client (CVE-2018-20685)
Summary: <net-misc/openssh-7.9_p1-r2: improper check in scp.c:sink() allows malicious ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: A3 [glsa+ cve]
Keywords:
Depends on: CVE-2019-6111
Blocks: CVE-2018-20685
  Show dependency tree
 
Reported: 2019-01-15 17:48 UTC by GLSAMaker/CVETool Bot
Modified: 2020-06-15 19:56 UTC (History)
3 users (show)

See Also:
Package list:
net-misc/openssh-7.9_p1-r2
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description GLSAMaker/CVETool Bot gentoo-dev 2019-01-15 17:48:45 UTC
CVE-2018-20685 (https://nvd.nist.gov/vuln/detail/CVE-2018-20685):
  In OpenSSH 7.9, scp.c in the scp client allows remote SSH servers to bypass
  intended access restrictions via the filename of . or an empty filename.
Comment 2 Yury German Gentoo Infrastructure gentoo-dev Security 2019-03-10 22:10:18 UTC
Since R2 is gone from the tree and R4 is going through stabilization under 675522, making this bug dependent.
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2019-03-20 13:37:04 UTC
This issue was resolved and addressed in
 GLSA 201903-16 at https://security.gentoo.org/glsa/201903-16
by GLSA coordinator Aaron Bauman (b-man).